dbXML API

## org.dbxml.tools.command
Class DeleteDocument

    java.lang.Object
      |
      +--org.dbxml.tools.command.Command
            |
            +--org.dbxml.tools.command.DeleteDocument

public class DeleteDocument
extends Command

DeleteDocument.java is designed to let the user delete or drop a Document, referred by the Key, from a specific Collection or Nested Collection.

Fields inherited from class org.dbxml.tools.command.Command
`COLLECTIONURI, DBXML_NAME_INDEXER, DBXML_VAL_INDEXER, DBXMLURI, XMLDBAPIVERSION`

Constructor Summary
`DeleteDocument()`

Method Summary
`boolean` `execute(java.util.Hashtable table)`

Methods inherited from class org.dbxml.tools.command.Command
`normalizeCollectionURI, normalizeDbXmlURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteDocument

    public DeleteDocument()

Method Detail

### execute

    public boolean execute(java.util.Hashtable table)
                    throws java.lang.Exception

  Overrides:
    `execute` in class `Command`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved